Package org.firebirdsql.jna.embedded.spi

## Class FirebirdEmbeddedLoadingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.firebirdsql.jna.embedded.spi.FirebirdEmbeddedLoadingException

All Implemented Interfaces:
  `java.io.Serializable`

    public class FirebirdEmbeddedLoadingException
    extends java.lang.Exception

Exception to signal errors when loading or identifying a Firebird Embedded library.

Since:
  5
Author:
  Mark Rotteveel
See Also:
  Serialized Form

### Constructor Summary

Constructors
`FirebirdEmbeddedLoadingException​(java.lang.String message)`
`FirebirdEmbeddedLoadingException​(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FirebirdEmbeddedLoadingException

    public FirebirdEmbeddedLoadingException​(java.lang.String message)

#### FirebirdEmbeddedLoadingException

    public FirebirdEmbeddedLoadingException​(java.lang.String message,
                                            java.lang.Throwable cause)